RUDOF(SHACL-VALIDATE)

NAME
rudof shacl-validate - Validate RDF data using SHACL shapes

SYNOPSIS
rudof shacl-validate [OPTIONS] [DATA]...

DESCRIPTION
Validate RDF data using SHACL shapes

  Arguments:

    [DATA]...

OPTIONS

-t, --data-format <FORMAT>

    RDF Data format

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

--base-data <IRI>

    Base IRI (used to resolve relative IRIs in RDF data)

--reader-mode <MODE>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-s, --shapes <INPUT>

    Shapes graph: file, URI or -, if not set, it assumes the shapes come from the data

-f, --shapes-format <FORMAT>

    Shapes file format

    [default: turtle] [possible values: internal, turtle, ntriples, rdfxml, trig, n3, nquads, jsonld]

--base-shapes <IRI>

    Base IRI (used to resolve relative IRIs in Shapes)

-m, --mode <MODE>

    Validation mode. `native` usually used with the in-memory store and `sparql` is intended for remote SPARQL endpoints and Qlever.

    [default: native] [possible values: native, sparql]

-r, --result-format <FORMAT>

    Ouput result format

    [default: details] [possible values: details, turtle, ntriples, rdfxml, trig, n3, nquads, minimal, compact, json, csv]

--sort_by <SORT_MODE>

    Sort result by

    [default: severity] [possible values: severity, node, component, value, path, sourceshape, details]

-c, --config-file <FILE>

    Config file name

-o, --output-file <FILE>

    Output file name, default = terminal

--force-overwrite

    Force overwrite to output file if it already exists

--backend <BACKEND>

    Choose which RDF data backend to load the input into.

    - `memory` (default): parse into an in-process oxrdf::Graph. - `qlever`: launch a local QLever Docker container and index the input on disk. Requires the binary to be built with the `qlever` feature. - `endpoint=<URL_OR_NAME>`: query an external SPARQL endpoint by URL or by the name of an endpoint registered in the TOML config. See also the `--endpoint` / `-e` shortcut.

-e, --endpoint <URL_OR_NAME>

    Shortcut for `--backend endpoint=<URL_OR_NAME>`.

    Accepts either a full SPARQL endpoint URL or the name of an endpoint registered in the TOML config. Mutually exclusive with `--backend`.

-h, --help

    Print help (see a summary with '-h')